Skip to content

getSupplierLocations

READ

Get supplier locations.

POST /api/v1/purchasing/getSupplierLocations
curl -X POST '<your-host>/api/v1/purchasing/getSupplierLocations' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string"
  }'
Response
{
  "results": [
    {
      "addressId": "string",
      "companyId": "string",
      "customFields": "…",
      "id": "string",
      "name": "string",
      "supplierId": "string",
      "tags": [
        "string"
      ],
      "address": {
        "id": "string",
        "addressLine1": "string",
        "addressLine2": "string",
        "city": "string",
        "stateProvince": "string",
        "country": {
          "alpha2": "string",
          "name": "string"
        },
        "postalCode": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string"
    }
  },
  "required": [
    "supplierId"
  ]
}